FSTDictionary.BrowserSupplier (Lucene 10.5.1 codecs API)
Description: declaration: package: org.apache.lucene.codecs.uniformsplit, class: FSTDictionary, class: BrowserSupplier

Package org.apache.lucene.codecs.uniformsplit

# Class FSTDictionary.BrowserSupplier

java.lang.Object
org.apache.lucene.codecs.uniformsplit.FSTDictionary.BrowserSupplier

All Implemented Interfaces:
  `IndexDictionary.BrowserSupplier`, `IOSupplier<IndexDictionary.Browser>`

Enclosing class:
  `FSTDictionary`

public static class FSTDictionary.BrowserSupplier extends Object implements IndexDictionary.BrowserSupplier
Provides stateful `FSTDictionary.Browser` to seek in the `FSTDictionary`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final BlockDecoder`
  `blockDecoder`
  `protected IndexDictionary`
  `dictionary`
  Lazy loaded immutable index dictionary FST.
  `protected final IndexInput`
  `dictionaryInput`
  `protected final boolean`
  `isFSTOnHeap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BrowserSupplier(IndexInput dictionaryInput, long dictionaryStartFP, BlockDecoder blockDecoder, boolean isFSTOnHeap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndexDictionary.Browser`
  `get()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dictionaryInput

    protected final IndexInput dictionaryInput

  - ### blockDecoder

    protected final BlockDecoder blockDecoder

  - ### isFSTOnHeap

    protected final boolean isFSTOnHeap

  - ### dictionary

    protected IndexDictionary dictionary
    Lazy loaded immutable index dictionary FST. The FST is either kept off-heap, or hold in RAM on-heap.

- ## Constructor Details

  - ### BrowserSupplier

    public BrowserSupplier(IndexInput dictionaryInput, long dictionaryStartFP, BlockDecoder blockDecoder, boolean isFSTOnHeap) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### get

    public IndexDictionary.Browser get() throws IOException
    Specified by:
      `get` in interface `IOSupplier<IndexDictionary.Browser>`
    Throws:
      `IOException`